| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- Parameters

# MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters Struct

struct MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters

The Parameters struct encapsulates all the parameters required to configure a LocalSignalToNoiseEstimator. More...

- List of all members, including inherited members
- Parameters is part of libXpertMassCore Data processing.

## Public Functions

| Parameters(double max_intensity, double max_int_std_dev_factor, double max_int_percentile, int max_int_mode, double window_size, int bin_count, int min_required_elements, double noise_value_for_empty_window)
| Parameters(const MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters &other)
QString | toString() const
MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters & | operator=(const MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters &other)

## Public Variables

int | binCount
int | maxIntMode
double | maxIntPercentile
double | maxIntStdDevFactor
double | maxIntensity
int | minRequiredElements
double | noiseValueForEmptyWindow
double | windowSize

## Detailed Description

## Member Function Documentation

### Parameters::Parameters(double max_intensity, double max_int_std_dev_factor, double max_int_percentile, int max_int_mode, double window_size, int bin_count, int min_required_elements, double noise_value_for_empty_window)

Constructs a Parameters instance with all the parameters for its initialization.

- max_intensity: initializes maxIntensity
- max_int_std_dev_factor: initializes maxIntStdDevFactor
- max_int_percentile: initializes maxIntPercentile
- max_int_mode: initializes maxIntMode
- window_size: initializes windowSize
- bin_count: initializes binCount
- min_required_elements: initializes minRequiredElements
- noise_value_for_empty_window: initializes noiseValueForEmptyWindow

### Parameters::Parameters(const MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters &other)

Constructs a Parameters instance using other as a template.

### QString Parameters::toString() const

Crafts a string documenting this Parameters instance and returns it.

### MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters &Parameters::operator=(const MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters &other)

Assigns other to this instance and returns a reference to this instance.

## Member Variable Documentation

### int Parameters::binCount

This variable holds the number of bins to be set to the histogram used for the local signal-to-noise estimation.

### int Parameters::maxIntMode

Defines the method to be used to determine the maximum intensity that data points may have. Above that intensity, data points are skipped for the local signal-to-noise estimation.

MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::IntensityThresholdCalculation

### double Parameters::maxIntPercentile

Parameter used for the initial calculation of the maximum intensity above which data points are skipped in the local signal-to-noise estimation. This value is used when the maxIntMode value is set to LocalSignalToNoiseEstimator::IntensityThresholdCalculation::AUTO_MAX_BY_PERCENTILE.

### double Parameters::maxIntStdDevFactor

Parameter used for the initial calculation of the maximum intensity above which data points are skipped in the local signal-to-noise estimation. This value is used when the maxIntMode value is set to LocalSignalToNoiseEstimator::IntensityThresholdCalculation::AUTO_MAX_BY_STDEV, which is the default.

### double Parameters::maxIntensity

Maximal intensity above which peaks are discarded.

This value is important in order to avoid using data points of absurdly high intensity (electronic spikes, for example). This value is used when the maxIntMode value is set to LocalSignalToNoiseEstimator::IntensityThresholdCalculation::MANUAL_BY_VALUE.

### int Parameters::minRequiredElements

This variable holds the minimum number of elements that must be found in the mass spectrum window that is comprised in the local signal-to-noise estimation.

See also windowSize.

### double Parameters::noiseValueForEmptyWindow

Value used as noise value for windows which cover less than minRequiredElements.

Use a very hight value, like std::pow(10.0, 20), to get a very low S/N result.

### double Parameters::windowSize

This variable holds the size (in m/z unit) of the mass spectrum window that is comprised in the local signal-to-noise estimation.